export interface LanguageI {
    name: string,
    play: string,
    howToPlay: string,
    difficulty: string,
    easy: string,
    medium: string,
    hard: string,
    language: string,
    exit: string,
    hello: string,
    start: string,
    startInfo: string,
    loading: string,
    decrypting: string,
    menu: string,
    restart: string,
    gameOver: string,
    tryAgain: string,
    gameWin: string,
    howToPlayManual: string,
    controls: string,
    leftArrow: string,
    rightArrow: string,
    topArrow: string,
    bottomArrow: string,
    enter: string,
    selectTopList: string,
    selectBottomList: string,
    accept: string,
    swipeLeft: string,
    swipeRight: string,
    listAnimation: string,
    yes: string,
    no: string
}

export const pl: LanguageI = {
    name: 'Polski',
    play: 'Graj',
    howToPlay: 'Jak grać',
    difficulty: "Poziom trudności",
    easy: "Łatwy",
    medium: "Średni",
    hard: "Trudny",
    language: "Język",
    exit: "Zakończ",
    hello: "Witaj w komputerze deszyfrującym Enigma",
    start: "Zacznij",
    startInfo: "Kliknij aby zacząć",
    loading: "Wczytywanie",
    decrypting: "Deszyfracja",
    menu: "Menu",
    restart: "Restart",
    gameOver: "Deszyfracja nieudana!",
    tryAgain: "Spróbuj ponownie",
    gameWin: "Kod został złamany",
    howToPlayManual: "Zadaniem gracza jest złamanie każdej karty kodowej (2). Aby to zrobić należy w górnej liście (3) i w dolnej liście (4) wybrać sekwencje kolejno odpowiadające górnej i dolnej połowie podświetlonej karty kodowej. Należy ułożyć odpowiednie sekwencje przed końcem czasu (1). Poprawne ułożenie każdej karty resetuje czasomierz. Zatwierdzenie niepoprawnej sekwencji prowadzi do przegranej.",
    controls: "Sterowanie",
    leftArrow: "Strzałka w lewo",
    rightArrow: "Strzałka w prawo",
    topArrow: "Strzałka w górę",
    bottomArrow: "Strzałka w dół",
    enter: "Enter",
    selectTopList: "Wybranie górnej listy",
    selectBottomList: "Wybranie dolnej listy",
    accept: "Zatwierdzenie sekwencji",
    swipeLeft: "Przesunięcie listy w lewo",
    swipeRight: "Przesunięcie listy w prawo",
    listAnimation: "Animacja listy selektora",
    yes: "Tak",
    no: 'Nie'
}

export const en: LanguageI = {
    name: 'English',
    play: 'Play',
    howToPlay: 'How to play',
    difficulty: "Difficulty",
    easy: "Easy",
    medium: "Medium",
    hard: "Hard",
    language: "Language",
    exit: "Exit",
    hello: "Welcome in Enigma decryption machine",
    start: "Start",
    startInfo: "Click to start",
    loading: "Loading",
    decrypting: "Decrypting",
    menu: "Menu",
    restart: "Restart",
    gameOver: "Decryption failed!",
    tryAgain: "Try again",
    gameWin: "Code has been cracked",
    howToPlayManual: "The player's task is to crack each code card (2). To do this, select sequences in the upper list (3) and in the lower list (4) sequentially corresponding to the upper and lower halves of the highlighted code card. It is necessary to arrange the corresponding sequences before the end of time (1). Correct arrangement of each card resets the timer. Approval of an incorrect sequence leads to a loss.",
    controls: "Controls",
    leftArrow: "Left arrow",
    rightArrow: "Right arrow",
    topArrow: "Top arrow",
    bottomArrow: "Bottom arrow",
    enter: "Enter",
    selectTopList: "Selecting the top list",
    selectBottomList: "Selecting the bottom list",
    accept: "Approval of the sequence",
    swipeLeft: "Moving the list to the left",
    swipeRight: "Moving the list to the right",
    listAnimation: "Selector list animation",
    yes: "Yes",
    no: 'No'
}
